package com.alibaba.druid.proxy.jdbc;

import java.util.Calendar;

public interface JdbcParameter {
   int BinaryInputStream = 10001;
   int AsciiInputStream = 10002;
   int CharacterInputStream = 10003;
   int NCharacterInputStream = 10004;
   int URL = 10005;

   Object getValue();

   long getLength();

   Calendar getCalendar();

   int getSqlType();

   public interface TYPE {
      int BinaryInputStream = 10001;
      int AsciiInputStream = 10002;
      int CharacterInputStream = 10003;
      int NCharacterInputStream = 10004;
      int URL = 10005;
      int UnicodeStream = 10006;
      int BYTES = 10007;
   }
}
